## OsmGpsMapTrack

OsmGpsMapTrack — A list of GPS points

## Stability Level

Stable, unless otherwise indicated

## Functions

void | osm_gps_map_track_add_point ()
void | osm_gps_map_track_get_color ()
GSList * | osm_gps_map_track_get_points ()
OsmGpsMapTrack * | osm_gps_map_track_new ()

## Properties

gfloat | alpha | Read / Write / Construct
GdkColor * | color | Read / Write
gfloat | line-width | Read / Write / Construct
gpointer | track | Read / Write / Construct Only
gboolean | visible | Read / Write / Construct

## Signals

void | point-added | Run First

## Types and Values

struct | OsmGpsMapTrack
struct | OsmGpsMapTrackClass

## Object Hierarchy

        GObject
        ╰── OsmGpsMapTrack

## Includes

    #include <osm-gps-map.h>

## Description

OsmGpsMapTrack stores multiple OsmGpsMapPoint objects, i.e. a track, and describes how such a track should be drawn on the map (see `osm_gps_map_track_add()`), including its colour, width, etc.

## Functions

### osm_gps_map_track_add_point ()

    void
    osm_gps_map_track_add_point (OsmGpsMapTrack *track,
                                 const OsmGpsMapPoint *point);

### osm_gps_map_track_get_color ()

    void
    osm_gps_map_track_get_color (OsmGpsMapTrack *track,
                                 GdkColor *color);

### osm_gps_map_track_get_points ()

    GSList *
    osm_gps_map_track_get_points (OsmGpsMapTrack *track);

#### Returns

### osm_gps_map_track_new ()

    OsmGpsMapTrack *
    osm_gps_map_track_new (void);

#### Returns

## Types and Values

### struct OsmGpsMapTrack

    struct OsmGpsMapTrack;

### struct OsmGpsMapTrackClass

    struct OsmGpsMapTrackClass {
        GObjectClass parent_class;
    };

## Property Details

### The `“alpha”` property

      “alpha”                    gfloat

alpha transparency of the track.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.6

### The `“color”` property

      “color”                    GdkColor *

color of the track.

Flags: Read / Write

### The `“line-width”` property

      “line-width”               gfloat

width of the lines drawn for the track.

Flags: Read / Write / Construct

Allowed values: [0,100]

Default value: 4

### The `“track”` property

      “track”                    gpointer

list of points for the track.

Flags: Read / Write / Construct Only

### The `“visible”` property

      “visible”                  gboolean

should this track be visible.

Flags: Read / Write / Construct

Default value: TRUE

## Signal Details

### The `“point-added”` signal

    void
    user_function (OsmGpsMapTrack *self,
                   OsmGpsMapPoint *arg1,
                   gpointer        user_data)

The point-added signal.

#### Parameters

self | A OsmGpsMapTrack |
user_data | user data set when the signal handler was connected. |

Flags: Run First